# Suffix Renamer

Ein einfaches, rekursives CLI-Tool zum automatisierten Umbenennen von Dateien mit einem Suffix.

> Autor: M_Viper

---

## 🔍 Überblick

Dieses Tool durchsucht einen Ordner (rekursiv), fragt bei der ersten Ausführung den gewünschten Ordnerpfad und ein Suffix ab, speichert diese Konfiguration, und hängt das Suffix an alle Dateinamen an (z. B. `film.mp4` → `film @Name.mp4`).

---

## 🖥️ Funktionen

- ✅ Rekursives Durchsuchen von Ordnern
- ✅ Automatische oder benutzerdefinierte Pfadauswahl
- ✅ Benutzerdefiniertes Suffix
- ✅ Konfigurationsspeicherung in `Documents/config.json`
- ✅ Überspringt bereits umbenannte oder geschützte Dateien

---

## 🚀 Verwendung

### 1. Repository klonen

```bash
git clone https://github.com/M-Viper/suffix-renamer.git
cd suffix-renamer
